from datetime import datetime
from typing import NamedTuple


class CalendarEvent(NamedTuple):
    start: datetime
    end: datetime
    # just a convenience thing, we want to keep start/date as datetime and save the client from guessing this themselves
    all_day_event: bool
    summary: str
    description: str
    location: str
    color: str
    uid: str
